JSON for Modern C++ 3.7.3

accept
accept
accept
allocator_type
array
array_t
at
at
at
at
at
at
back
back
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
begin
begin
binary
binary
binary
binary
binary_t
boolean_t
cbegin
cend
clear
const_iterator
const_pointer
const_reference
const_reverse_iterator
contains
contains
count
crbegin
crend
detail::external_constructor
diff
difference_type
dump
emplace
emplace_back
empty
end
end
erase
erase
erase
erase
error_handler_t
exception
find
find
flatten
from_bson
from_bson
from_bson
from_cbor
from_cbor
from_cbor
from_msgpack
from_msgpack
from_msgpack
from_ubjson
from_ubjson
from_ubjson
front
front
get
get
get
get
get
get
get_allocator
get_binary
get_binary
get_ptr
get_ptr
get_ref
get_ref
get_to
get_to
initializer_list_t
input_format_t
insert
insert
insert
insert
insert
insert
insert_iterator
invalid_iterator
is_array
is_binary
is_boolean
is_discarded
is_null
is_number
is_number_float
is_number_integer
is_number_unsigned
is_object
is_primitive
is_string
is_structured
items
items
iterator
iterator_wrapper
iterator_wrapper
json_pointer
json_sax_t
json_serializer
max_size
merge_patch
meta
number_float_t
number_integer_t
number_unsigned_t
object
object_comparator_t
object_t
operator value_t
operator ValueType
operator!=
operator!=
operator!=
operator+=
operator+=
operator+=
operator+=
operator<
operator<
operator<
operator<<
operator<<
operator<=
operator<=
operator<=
operator=
operator==
operator==
operator==
operator>
operator>
operator>
operator>=
operator>=
operator>=
operator>>
operator>>
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
other_error
out_of_range
parse
parse
parse
parse_error
parse_event_t
parser_callback_t
patch
pointer
push_back
push_back
push_back
push_back
rbegin
rbegin
reference
rend
rend
reverse_iterator
sax_parse
sax_parse
sax_parse
size
size_type
string_t
swap
swap
swap
swap
swap
swap
to_bson
to_bson
to_bson
to_cbor
to_cbor
to_cbor
to_msgpack
to_msgpack
to_msgpack
to_ubjson
to_ubjson
to_ubjson
type
type_error
type_name
unflatten
update
update
value
value
value
value
value_t
value_type
~basic_json
| ## ◆ count() template<typename KeyT >
size_type nlohmann::basic_json::count | ( | KeyT && | key | ) | const
| inline
  Returns the number of elements with key key. If ObjectType is the default `std::map` type, the return value will always be `0` (key was not found) or `1` (key was found). Note This method always returns `0` when executed on a JSON type that is not an object. Parameters
  [in] | key | key value of the element to count
  Returns Number of elements with key key. If the JSON value is not an object, the return value will be `0`. Complexity Logarithmic in the size of the JSON object. Example The example shows how `count()` is used. 1 #include <iostream> 2 #include <nlohmann/json.hpp> 3 4 using json = nlohmann::json; 5 6 int main() 7 { 8 // create a JSON object 9 json j_object = {{"one", 1}, {"two", 2}}; 10 11 // call count() 12 auto count_two = j_object.count("two"); 13 auto count_three = j_object.count("three"); 14 15 // print values 16 std::cout << "number of elements with key \"two\": " << count_two << '\n'; 17 std::cout << "number of elements with key \"three\": " << count_three << '\n'; 18 } Output (play with this example online):
      number of elements with key "two": 1
      number of elements with key "three": 0
  The example code above can be translated with
      g++ -std=c++11 -Isingle_include doc/examples/count.cpp -o count
Since version 1.0.0 Definition at line 20158 of file json.hpp.

nlohmann::json
basic_json<> json
default JSON class
Definition: json.hpp:2774